Uploaded image for project: 'OpenAM Agents'
  1. OpenAM Agents
  2. AMAGENTS-1799

J2EEAgent bundles ESAPI and causes Users Webapp with ESAPI issues

    XMLWordPrintable

    Details

    • Target Version/s:
    • Sprint:
      2018.8 Colossus of Rhodes
    • Cases:
    • Support Ticket IDs:

      Description

      J2EEAgent 3.5.0 seems to bundled a ESAPI library
      compared to 3.3.x. This causes issues with web applications
      that already uses some form or version of ESAPI and
      possibly causes conflict.

      This causes issues with already working applications
      that have already ESAPI library and properties.

      As J2EEAgent is add it should not cause
      web application issues with introducing this library (overriding
      the main webapp functions)

      Is it possible fox or have a private use ESAPI if j2eeagent needs to use this to avoid conflict with the main applications.

        Attachments

          Activity

            People

            Assignee:
            tony.bamford Tony Bamford
            Reporter:
            chee-weng.chea C-Weng C
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: